<div class="row">
  <div class="col-8">
    <div class="card">
      <div class="class-header bg-primary">
        <div class="row">
          <div class="col-6 text-white">
            Attendance Portal
          </div>
          <div class="col-6 text-right">

          </div>
        </div>
      </div>
      <div class="card-body">
        <table class="table table-bordered">
          <thead>
            <tr class="text-centered">
              <th>Sr.No</th>
              <th>Name</th>
              <th>Date</th>
              <th>In Time</th>
              <th>Out Time</th>
              <th>Is Full Day</th>
              <th>Emp ID</th>
              <th>Action</th>
            </tr>
          </thead>

          <tbody>
            <tr *ngFor="let item of attendanceArray; let sr=index">
              <td>{{sr+1}}</td>
              <td>{{item.empName}}</td>
              <td>{{item.attendanceDate | date: 'dd-MMM-yyyy'}}</td>
              <td>{{item.inTime | date:'hh-mm'}}</td> <!--empId -->
              <td>{{item.outTime | date:'hh-mm'}}</td>
              <td>{{item.isFullDay ? 'Yes' : 'No'}}</td>
              <td>{{item.empId}}</td>
              <td><Button class="btn btn-success btn-sm" (click)="onEdit(item.attendanceId)">edit</Button>
                <Button class="btn btn-danger btn-sm mx-2" (click)="onDelete(item.attendanceId)">delete</Button>
              </td>
            </tr>
          </tbody>
        </table>
      </div>
    </div>
  </div>

  <div class="col-4">
    <div class="card">
      <div class="class-header bg-primary">
        <div class="row">
          <div class="col-6 text-white">
            New Attendance
          </div>
          <div class="col-6 text-right">

          </div>
        </div>
      </div>
      <div class="card-body">
        <form>
          <div class="row">
            <div class="col-6">
              <label for="">Select Employee</label>
              <select name="employeeId" class="form-control" [(ngModel)]="attendanceObj.empId">
                <option *ngFor="let emp of employeeArray" [value]="emp.empId">{{emp.empName}}</option>
              </select>
            </div>
            <div class="col-6">
              <label for="">attendanceDate</label>
              <input type="date" class="form-control" name="attendanceDate"
                [(ngModel)]="attendanceObj.attendanceDate" />
            </div>
            <div class="col-6">
              <label for="">inTime</label>
              <input type="time" class="form-control" name="inTime" [(ngModel)]="attendanceObj.inTime" />
            </div>
            <div class="col-6">
              <label for="">outTime</label>
              <input type="time" class="form-control" name="outTime" [(ngModel)]="attendanceObj.outTime" />
            </div>

            <div class="col-6">
              <label for="">isFullDay</label>
              <input type="checkbox" name="pincode" [(ngModel)]="attendanceObj.isFullDay" />
            </div>

            <div class="row text-center pt-3">
              <div class="col-6">
                <button (click)="onReset()" class="btn btn-secondary btn-sm">Reset</button>
              </div>
              <div class="col-6">
                {{this.attendanceObj.attendanceId}}
                <button (click)="onSave()" class="btn btn-success btn-sm"
                  *ngIf="this.attendanceObj.attendanceId==0">Save
                  Employee</button>
                <button (click)="onUpdate()" class="btn btn-warning btn-sm"
                  *ngIf="this.attendanceObj.attendanceId!=0">Update
                  Employee</button>


              </div>
            </div>
          </div>
        </form>
      </div>

    </div>
  </div>
</div>
